%define debug_package %{nil}
%define _enable_debug_packages %{nil}

Summary:        Jabber Client written in PyGTK
Name:           gajim
Version:        0.16.5
Release:        %mkrel 1
Source:         http://www.gajim.org/downloads/0.16/gajim-%{version}.tar.bz2
URL:            http://www.gajim.org
Group:          Networking/Instant messaging
License:        GPLv3
Requires:       pygtk2.0-libglade 
Requires:       python-sqlite2
Requires:       gnome-python-gconf
Requires:       gnome-python-extras
Requires:       dbus-python 
Requires:       python-OpenSSL
Requires:       python-nbxmpp
Requires:       pyasn1
Requires:       bind-utils
# for spellchecking
Recommends:     gnome-python-gtkspell
BuildRequires:  gnome-python-extras
BuildRequires:  gtkspell-devel 
BuildRequires:  gtk2-devel 
BuildRequires:  pygtk2.0-devel
BuildRequires:  libxscrnsaver-devel
BuildRequires:  libexpat-devel
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  dbus-devel

%description
Gajim is a jabber client written in PyGTK. The goal of Gajim's developers is
to provide a full featured and easy to use xmpp client for the GTK+
users. Gajim does not require GNOME to run, eventhough it exists with it
nicely. Gajim is released under the GNU General Public License

Features:
- Tabbed chat windows
- Groupchat support (with MUC protocol)
- Emoticons, URL grabber
- Systray icon
- TLS & GPG support
- Transport Registration support
- Service Discovery including Nodes
- Multiple accounts support

%prep
%setup -q 

%build
%configure2_5x
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -f %{buildroot}%{_libdir}/%{name}/*.la


%find_lang %{name}
%files -f %{name}.lang
%doc ChangeLog COPYING NEWS README THANKS THANKS.artists
%{_bindir}/gajim
%{_bindir}/gajim-remote
%{_bindir}/gajim-history-manager
%{_datadir}/applications/gajim.desktop
%{_datadir}/applications/gajim-remote.desktop
%{_datadir}/gajim
%doc %{_mandir}/man1/gajim.1*
%doc %{_mandir}/man1/gajim-remote.1*
%doc %{_mandir}/man1/gajim-history-manager.1*
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Tue Jan 12 2016 luigiwalser <luigiwalser> 0.16.5-1.mga5
+ Revision: 922021
- 0.16.5 (fixes CVE-2015-8688)

* Wed Oct 15 2014 umeabot <umeabot> 0.16-0.beta1.4.mga5
+ Revision: 741030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16-0.beta1.3.mga5
+ Revision: 679395
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.16-0.beta1.2.mga4
+ Revision: 534217
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 neoclust <neoclust> 0.16-0.beta1.1.mga4
+ Revision: 476641
- New version 0.16 beta1

* Tue Aug 13 2013 ofaurax <ofaurax> 0.15.4-2.mga4
+ Revision: 466222
- Add patch to be able to launch gajim when farstream is not present

* Thu Aug 08 2013 ofaurax <ofaurax> 0.15.4-1.mga4
+ Revision: 464787
- New versioin 0.15.4

* Fri Apr 05 2013 luigiwalser <luigiwalser> 0.15.3-2.mga3
+ Revision: 408330
- require pyasn1 for SSL cert checking

* Tue Apr 02 2013 luigiwalser <luigiwalser> 0.15.3-1.mga3
+ Revision: 407343
- 0.15.3 (fixes CVE-2012-5524)

* Fri Jan 11 2013 umeabot <umeabot> 0.15.1-2.mga3
+ Revision: 351015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 neoclust <neoclust> 0.15.1-1.mga3
+ Revision: 301039
- New version

* Mon Jun 18 2012 kharec <kharec> 0.15-3.mga3
+ Revision: 261747
- Python-OpenSSL is a require.

* Mon Jun 18 2012 kharec <kharec> 0.15-2.mga3
+ Revision: 261743
- Add python-OpenSSL as BR

* Sat Jun 16 2012 kharec <kharec> 0.15-1.mga3
+ Revision: 260957
- new version 0.15
- adapt patch0 for 0.15
- fix docs installations

* Fri Apr 20 2012 luigiwalser <luigiwalser> 0.14.4-2.mga2
+ Revision: 232071
- fix CVE-2012-2085, CVE-2012-2086, CVE-2012-2093 (from debian)

* Mon Oct 24 2011 misc <misc> 0.14.4-1.mga2
+ Revision: 157628
- upgrade to 0.14.4
- place one requires/buildRequires per line, as this ease the
  review of patchs and change for this part of the spec
- remove requires on python, incorrectly set on version, and not needed

* Mon Jun 27 2011 kharec <kharec> 0.14.3-1.mga2
+ Revision: 114351
- new version

* Sun Jun 19 2011 kharec <kharec> 0.14.2-1.mga2
+ Revision: 109754
- new version
- drop p0, applied.

* Tue May 24 2011 ahmad <ahmad> 0.14.1-2.mga1
+ Revision: 100316
- Add a patch from upstream to check for errors before incoming or outgoing events
  should fix agjim looping at launch and consuming 100%% of the CPU (mga#1409)
  http://trac.gajim.org/ticket/5991

* Sun Jan 09 2011 kharec <kharec> 0.14.1-1.mga1
+ Revision: 2020
- imported package gajim

